-------------------------------------------------------------------------------
-- Project  Tutoriels - Conception de circuits intégrés numériques
-------------------------------------------------------------------------------
-- File     top.vhd
-- Author   Erika Miller-Jolicoeur <erika.miller-jolicoeur@polymtl.ca>
-- Lab      grm@polymtl
-- Date     2020-07-27
-------------------------------------------------------------------------------
-- Brief    Enveloppe pour instancier correctement le compteur avec ou sans
--          chaîne à balayage
-------------------------------------------------------------------------------
library ieee;
use ieee.std_logic_1164.all;

library work;
use work.all;

entity top is
  port (
    i_clk       : in  std_logic;
    i_rstn      : in  std_logic;
    i_en        : in  std_logic;
    i_scan_en   : in  std_logic;
    i_test_mode : in  std_logic;
    i_tdi       : in  std_logic;
    o_cnt       : out std_logic_vector(3 downto 0);
    o_tdo       : out std_logic);
end;

architecture dft of top is
  component compteur is
    port (
      i_clk       : in  std_logic;
      i_rstn      : in  std_logic;
      i_en        : in  std_logic;
      i_scan_en   : in  std_logic;
      i_test_mode : in  std_logic;
      i_tdi       : in  std_logic;
      o_cnt       : out std_logic_vector(3 downto 0);
      o_tdo       : out std_logic);
  end component compteur;
begin
  -- Netlist DFT
  m_compteur : compteur
    port map (
      i_clk       => i_clk,
      i_rstn      => i_rstn,
      i_en        => i_en,
      i_scan_en   => i_scan_en,
      i_test_mode => i_test_mode,
      i_tdi       => i_tdi,
      o_cnt       => o_cnt,
      o_tdo       => o_tdo);

end architecture dft;

architecture rtl of top is

  component compteur is
    port (
      i_clk  : in  std_logic;
      i_rstn : in  std_logic;
      i_en   : in  std_logic;
      o_cnt  : out std_logic_vector(3 downto 0));
  end component compteur;

begin
  -- Compteur RTL
  m_compteur : compteur
    port map (
      i_clk  => i_clk,
      i_rstn => i_rstn,
      i_en   => i_en,
      o_cnt  => o_cnt);

  o_tdo <= '0';
end architecture rtl;
